% Example-01: A Simple Ordinary Petri Net 
% the main simulation file (MSF) to run simulation 

clear all; clc; 
global global_info
global_info.MAX_LOOP = 15;

pns = pnstruct('simple_pn_pdf');

dyn.m0 = {'p1',3, 'p2',4};
pni = initialdynamics(pns, dyn); 

Sim_Results = gpensim(pni); % perform simulation runs
prnss(Sim_Results);  % print the simulation results 
plotp(Sim_Results, {'p1','p2','p3'}); % plot the results
