% Example-03: Pre-processor example
% the main simulation file (MSF)

clear all; clc;

global global_info
global_info.STOP_AT = 60; % stp after 50 TU

png = pnstruct('pre_processor_pdf');

dyn.m0 = {'pFrom_CNC', 8}; % tokens initially
dyn.ft = {'tRobot_1', 10, 'tRobot_2',5, 'tRobot_3', 15}; 

pni = initialdynamics(png, dyn);

sim = gpensim(pni);
prnss(sim);
plotp(sim, {'pBuffer_1', 'pBuffer_2', 'pBuffer_3'}); 

