% Example-04: Example using COMMON_PRE

function [fire, transition] = COMMON_PRE(transition)
% function [fire, trans] = COMMON_PRE(trans)

n1 = ntokens('pBuffer_1'); % check how many tokens in pBuffer-1
n2 = ntokens('pBuffer_2'); % check how many tokens in pBuffer-2
n3 = ntokens('pBuffer_3'); % check how many tokens in pBuffer-3

if (strcmpi(transition.name, 'tRobot_1')),
    fire = and(lt(n1, n2), lt(n1, 2));
    
elseif (strcmpi(transition.name, 'tRobot_2')),
    fire = lt(n2, 3);
    
elseif (strcmpi(transition.name, 'tRobot_3')),
    fire = and(gt(n1, n3), lt(n3, 1));
    
else
    error([transition.name, ...
        ' is neither "tRobot_1", "tRobot_2", or "tRobot_3" ?????...']);
end



    
    
