% Example-07: Alternating firing using COMMON_PRE/POST 
% MSF: loadbalance.m

clear all; clc

global global_info

global_info.STOP_AT = 100; % OPTION: stop simulations after 100 TU.
global_info.semafor = 1;   % allow "tX1" toi fire first

png = pnstruct('loadbalance_pdf');

dyn.m0 = {'p0',9};
dyn.ft = {'tX1',10, 'tX2',20}; 
pni = initialdynamics(png, dyn);

sim = gpensim(pni);

plotp(sim, {'p1', 'p2'});
