% Example-11: Firing Sequence t1, t2, t3
clear all; clc;

global global_info
global_info.STOP_AT = 20;

% OPTION for firing sequence
global_info.FIRING_SEQ = {'t1','t2','t3'}; % firing order 
global_info.FS_REPEAT = 3;  % repeat the sequence just 3 times
global_info.FS_ALLOW_PARALLEL = false; % no overlapping firings


pns = pnstruct('firingseq_ex01_pdf');  % printout the initial state

dyn.m0 = {'p4',5};
dyn.ft = {'t1',1, 't2',2, 't3',3};
pni = initialdynamics(pns, dyn);

prnstate('Initial state :');

sim = gpensim(pni);
plotp(sim, {'p4'});
