% Example-15: MAX-LOOP demo

clear all; clc; 

global global_info              % user data 
global_info.MAX_LOOP = 15;


pns = pnstruct('maxloop_pdf'); % create petri net structure

dyn.m0 = {'p1',3, 'p2',4};
dyn.ft = {'t1',10};

pni = initialdynamics(pns, dyn);
sim = gpensim(pni); % perform simulation runs

plotp(sim, {'p1','p2','p3'}, 0, 2); % plot the results

