% Example-19: Stochastic timing with Adv. Statistics Toolbox
% the main file to run simulation for the system 
clear all; clc;

global global_info
global_info.STOP_AT = 60;
global_info.DELTA_TIME = 0.5;
global_info.LOOP_NUMBER = 1;

pns = pnstruct('tdf_example_pdf');

dyn.m0 = {'pFrom_CNC', 8}; % tokens initially

% !!! here comes the STOCHASTIC firing times !!!
dyn.ft = {'tRobot_1','binornd(10,0.9)', ... 
    'tRobot_2','normrnd(1, 0.1)', 'tRobot_3', 'unifrnd(8, 10)'}; 

% given below is the same as for example-03
pni = initialdynamics(pns, dyn);
sim = gpensim(pni);
prnss(sim);
plotp(sim, {'pBuffer_1', 'pBuffer_2', 'pBuffer_3'});

