function [] = COMMON_POST(transition)

% firing sequence: t1 -> t2 -> t3 -> t1 ...
pvalue = get_priority(transition.name); % priority of the fired trans
switch transition.name
    case 't1'
        priorset('t2', pvalue+1); % give a higher priority to t2
    case 't2'
        priorset('t3', pvalue+1); % give a higher priority to t3
    case 't3'
        priorset('t1', pvalue+1); % give a higher priority to t1
    otherwise
end