% Example-27: Measuring Activation Time - II
clear all; clc;

global global_info
global_info.STOP_AT = 507; % atop after 5 t1 and t2 firings

pns = pnstruct('measure_timing_pdf');

dyn.m0 = {'p1', 1};
dyn.ft = {'t1', 1, 't2', 100}; 
pni = initialdynamics(pns, dyn); 
sim = gpensim(pni);

duartion_martix = extractt(sim, {'t1', 't2'});
disp('Duartion Martix:');
disp(duartion_martix);

occupancy_martix = occupancy(sim, {'t1', 't2'});
disp('Occupancy Martix:');
disp(occupancy_martix);


