% Example-28: Finding Minimum-Cycle-Time in Marked Graph 
%     This example is taken from Hruz & Zhou, fig 10.1
clear all; clc;

pns = pnstruct('event_graph_01_pdf');
dyn.ft = {'t1',1, 't2',2, 't3',3, 't4',4, 't5',5, 't6',6};
dyn.m0 = {'p12',1, 'p6',1, 'p4',1, 'p10',1,...
          'p7',1,'p9',1, 'p11',2};
pni = initialdynamics(pns, dyn);

mincyctime(pni, 0.1);  % expected flowrate is 0.1 tokens/TU 
