% Example-28: Finding Minimum-Cycle-Time in Event Graph
%     This example is taken from Hruz & Zhou, fig 10.1
function [png] = event_graph_01_pdf()

png.PN_name = 'Event Graph: Hruz & Zhou, fig 10.1';
png.set_of_Ps = {'p11','p2','p8','p9', 'p1','p12','p10','p3','p4','p6',...
                 'p5','p7'};
png.set_of_Ts = {'t1','t2','t3','t4','t5','t6'};
png.set_of_As = {'p11','t1',1, 't1','p2',1, ...
    'p2','t2',1, 't2','p8',1, 'p8','t3',1, 't3','p11',1, ...
    't3','p9',1, 'p9','t2',1,...
    't1','p1',1, 'p1','t6',1, 't6','p12',1, 'p12','t1',1, ...
    't6','p10',1, 'p10','t4',1, 't4','p4',1, 'p4','t5',1, ...
    't5','p3',1, 'p3','t6',1, 't6','p6',1, 'p6','t5',1, ...
    't4','p5',1, 'p5','t3',1, 't3','p7',1, 'p7','t4',1};