% Example-34: Rea-Time Load balance (with LEGO NXT) 
clear all; clc;

global global_info;
global_info.REAL_TIME = 1;    % set REAL_TIME flag
global_info.STOP_AT = current_clock(3) + [0 0 30]; % stop after 30 secs

global_info.semaphore = 't1'; % GLOBAL DATA: binary semafor

init_TL_NXT();

png = pnstruct('loadbalance_pdf');

dyn.m0 = {'p0',9};
dyn.ft = {'t1',2, 't2',2}; 
pni = initialdynamics(png, dyn);

sim = gpensim(pni);
plotp(sim, {'p1', 'p2'});

close_TL_NXT();