% Example-06: Alternating firing with Binary semaphore
% MSF: loadbalance.m

clear all; clc;

global global_info

global_info.STOP_AT = 100; % Option: stop simulations after 100 time units
global_info.semafor = 1;   % allow "tX1" to fire first  

pns = pnstruct('loadbalance_pdf');

dyn.m0 = {'pSTART', 10};
dyn.ft = {'tX2',20, 'tX1',10, }; 
pni = initialdynamics(pns, dyn);

sim = gpensim(pni);
plotp(sim, {'p1', 'p2'});
