% Example-08: Using COMMON and specific pre files together
% MSF: cas.m

clear all; clc

global global_info
global_info.STOP_AT = 13; % OPTION: stop simulations after 13 TU.

png = pnstruct('cas_pdf');
dyn.ft = {'allothers',1}; 
pni = initialdynamics(png, dyn);

sim = gpensim(pni);
plotp(sim, {'pS','pA', 'pB', 'pC'});
