% Example-12: Alternating firing with Firing Sequence
clear all; clc;

global global_info

global_info.STOP_AT = 10;      % stop the simulations after 10 TU
% data for the firing sequence
global_info.FIRING_SEQ = {'tX1', 'tX2'}; % firing order 
global_info.FS_REPEAT = inf;  % repeat the seq. infinite number of times
global_info.FS_ALLOW_PARALLEL = false; % no overlapping in firings

pns = pnstruct('firingseq_ex02_pdf');

dyn.m0 = {'pSTART', 10};
dyn.ft = {'tX1',1, 'tX2',2}; 
pni = initialdynamics(pns, dyn);

sim = gpensim(pni);
plotp(sim, {'p1','p2'});
