% Example-13: Crosstalk, Deadlock prone 
% Reisig, p. 46, fig. 12-2
% PDF: Left Actor (la_pdf)

function [png] = la_pdf() 

png.PN_name = 'Crosstalk, Deadlock prone: LEFT ACTOR';

png.set_of_Ps = {'pLPending','pLQuiet','pLAns', 'pLSent','pLAck',...
                 'pLI1', 'pLI2'}; 
             
png.set_of_Ts = {'tLAct','tLTerm','tLReturn', 'tLEcho'};

png.set_of_As = {...
    'pLQuiet','tLAct',1, ...                      % tLAct inputs
    'tLAct','pLSent',1, 'tLAct','pLPending',1, ...% tLAct outputs
    'pLPending','tLTerm',1, 'pLI1','tLTerm',1, ...% tLTerm inputs
    'tLTerm','pLQuiet',1,...                      % tLTerm outputs
    'pLQuiet','tLEcho',1, 'pLI2','tLEcho',1, ...  % tLEcho inputs
    'tLEcho','pLAck',1, 'tLEcho','pLAns',1, ...   % tLEcho outputs
    'pLAns','tLReturn',1, ...                     % tLReturn inputs 
    'tLReturn','pLQuiet',1 ...                    % tLReturn outputs
    }; 
