% Example-13: Crosstalk, Deadlock prone 
% Reisig, p. 46, fig. 12-2
% PDF: Right Actor (ra_pdf)

function [png] = ra_pdf() 

png.PN_name = 'Crosstalk, Deadlock prone: RIGHT ACTOR';

png.set_of_Ps = {'pRPending','pRQuiet','pRAns', 'pRSent','pRAck',...
                 'pRI1', 'pRI2'}; 
             
png.set_of_Ts = {'tRAct','tRTerm','tRReturn', 'tREcho'};

png.set_of_As = {...
    'pRQuiet','tRAct',1, ...                      % tRAct inputs
    'tRAct','pRSent',1, 'tRAct','pRPending',1, ...% tRAct outputs
    'pRPending','tRTerm',1, 'pRI2','tRTerm',1, ...% tRTerm inputs
    'tRTerm','pRQuiet',1,...                      % tRTerm outputs
    'pRQuiet','tREcho',1, 'pRI1','tREcho',1, ...  % tREcho inputs
    'tREcho','pRAck',1, 'tREcho','pRAns',1, ...   % tREcho outputs
    'pRAns','tRReturn',1, ...                     % tRReturn inputs 
    'tRReturn','pRQuiet',1 ...                    % tRReturn outputs
    }; 
