function [fire, transition] = tGEN_pre(transition)

global global_info;

if global_info.BANK_CLOSED,
    fire = 0;
    return;
end;

time_stamp = string_HH_MM_SS(current_time());
time_13_30_in_seconds = 13.5*60*60;  % Hour 13:30 in seconds

if lt(current_time(), time_13_30_in_seconds),
    disp([time_stamp, ':  ', transition.name, ' Making a customer ']);
    fire = 1;
else
    disp([time_stamp, ':  ',transition.name,' ** BANK IS CLOSED NOW. **']);
    global_info.BANK_CLOSED = true;
    fire = 0;
end;
