% Example-18: Generator example
function [fire, transition] = tGEN_pre(transition)

global global_info

% if the variable "tokens_firing_times" is empty, then all 
%    the firings are done; no more firing
if isempty(global_info.tokens_firing_times),
    fire = 0;
    return
end

time_to_generate_token = global_info.tokens_firing_times(1);
ctime = current_time();
% too early to fire?
if lt(ctime, time_to_generate_token),  % it is not the time to fire
    fire = 0; return
end

% time to fire 
if ge(length(global_info.tokens_firing_times),2),
    global_info.tokens_firing_times = ...
        global_info.tokens_firing_times(2:end);
else
    global_info.tokens_firing_times = [];
end
fire = 1;
