% Example-20: Stochastic timing without Adv. Statistics Toolbox
% the main file to run simulation for the system 
clear all; clc;

global global_info
global_info.STOP_AT = 60;
global_info.DELTA_TIME = 0.5;
global_info.LOOP_NUMBER = 1;

pns = pnstruct('tdf_example_pdf');

dyn.m0 = {'pFrom_CNC', 8}; % tokens initially

% !!! here comes the STOCHASTIC firing times !!!
dyn.ft = {'tRobot_1', '10 + 2*randn(1)',...
    'tRobot_2', '5 + 2*randn(1)', 'tRobot_3', '15 + 2*randn(1)'};

% given below is the same as for example-03
pni = initialdynamics(pns, dyn);
sim = gpensim(pni);
prnss(sim);
plotp(sim, {'pBuffer_1', 'pBuffer_2', 'pBuffer_3'});

