% Example-24: Alternating firing using priority 

clear all; clc;

global global_info
global_info.STOP_AT = 15; 

pns = pnstruct('prio_pdf');

dyn.m0 = {'pS',1}; % initial tokens 
dyn.ft = {'allothers',1}; 
dyn.ip = {'t1',1}; % to start, t2 has higher initial priority  
pni = initialdynamics(pns, dyn);

sim = gpensim(pni);
plotp(sim, {'pE1', 'pE2', 'pE3'}, 0, 2);
