% Example-25: Alternating firing using priority decrement

clear all; clc;

global global_info
global_info.STOP_AT = 30; 

pns = pnstruct('prio2_pdf');

dyn.m0 = {'pS', 1}; % initial tokens 
dyn.ft = {'allothers',1, 't2',1, 't3',1}; 
dyn.ip = {'t3',2, 't1', 1}; % initial tokens 
pni = initialdynamics(pns, dyn);
sim = gpensim(pni);

plotp(sim, {'pE1', 'pE2', 'pE3'});

