% Example-26: Measuring activation time

clear all; clc;

global global_info
global_info.STOP_AT = 70;
global_info.DELTA_TIME = 1;

pns = pnstruct('measuring_activation_pdf');

dyn.m0 = {'p1',3};
dyn.ft = {'t1', 7};
pni = initialdynamics(pns, dyn);
sim = gpensim(pni);


duration_matrix  = extractt(sim, {'t1'});
disp('** Duration Matrix: **');
disp(duration_matrix);
disp('-----');

occupancy_matrix = occupancy(sim, {'t1'});
disp('-----');

disp('## Occupancy Matrix: ## ');
disp(occupancy_matrix);
