% Example-32: Testing automatic PDF creation
clear all; clc;

% input incidence matrix
Ai = [0 1 0 0 0 0; ...
      1 0 0 0 0 1; ...
      0 0 0 1 1 0; ...
      0 0 1 0 0 0]; 

% output incidence matrix
Ao = [1 0 0 0 1 0; ...
      0 1 0 0 0 0; ...
      0 0 1 0 0 0; ...
      0 0 0 1 0 1];

% optional: name for the PDF to be created
PDF_Filename = 'ex_32_pdf.m';    

% optional: name for the Petri net 
PN_name = 'Example-32: Testing automatic PDF creation';

% call the functio to create the PDF file
createPDF(Ai, Ao, PDF_Filename, PN_name);
