% Example-34: Rea-Time Load balance (with LEGO NXT) 
function [] = init_TL_NXT()


% initialize traffic lights and switches in NXT

global global_info;

% initializ NXT
warning('off', 'MATLAB:RWTHMindstormsNXT:noEmbeddedMotorControl');

COM_CloseNXT all
hNXT = COM_OpenNXT('bluetooth.ini');       % look for USB devices
COM_SetDefaultNXT(hNXT);    % sets global default handle

global_info.NXT_handle = hNXT;

global_info.lightRED = MOTOR_A;
global_info.lightGREEN = MOTOR_C;

NXT_PlayTone(440, 500); % just play a music to indicate ready
